﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using static Spcidevdll;

// This routine controls the analog output of the data acquisition card to output a specified DC voltage on a specified channel.
// This routine is applicable to the following models:
// PCI - 2253
// PCI - 31xx

namespace ao_dc
{
    class Program
    {
        static int Main(string[] args)
        {
            int rst;
            int DevIndex = 0;

            // Open the device
            rst = OpenDevice(DevIndex);
            if (rst < 0) { return rst; }

            // Set the Ao output voltage
            // Here, set channel Ao 0 to output a voltage of 1.28V
            rst = SetAoValue(DevIndex, 0, (float)1.28);
            if (rst < 0) { return rst; }

            Console.WriteLine("Success.");

            // Close the device
            rst = CloseDevice(DevIndex);

            return rst;
        }
    }
}