﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using static Spcidevdll;

// This routine sets the default power-on values of the analog output channels of the data acquisition card.
// This routine is applicable to the following models:
// PCI - 2253
// PCI - 31xx

namespace ao_default_setting
{
    class Program
    {
        static int Main(string[] args)
        {
            int rst;
            int DevIndex = 0;

            // Open the device
            rst = OpenDevice(DevIndex);
            if (rst < 0) { return rst; }

            // Set the default power-on output of Ao 0 to 1.28V
            rst = SetAoPowerOnValue(DevIndex, 0, (float)1.28);
            if (rst < 0) { return rst; }

            Console.WriteLine("Success.");

            // Close the device
            rst = CloseDevice(DevIndex);

            return rst;
        }
    }
}