﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using static Spcidevdll;

// This routine controls the single-point reading of the digital input of the data acquisition card.
// This routine is applicable to the following models:
// PCI - 1132
// PCI - 1316
// PCI - 225x
// PCI - 3xxx
// PCI - 5xxx

namespace di_one_point
{
    class Program
    {
        static int Main(string[] args)
        {
            int rst;
            int DevIndex = 0;
            uint DiValue = 0;

            // Open the device
            rst = OpenDevice(DevIndex);
            if (rst < 0) { return rst; }

            // Set the digital I/O direction
            // Since the digital I/O of PCI - 225x/3000/5000 can be set as input or output,
            // here all are set as input.
            // For models whose digital I/O does not support setting, this step can be skipped.
            rst = SetDioDir(DevIndex, 0xffffffff);
            if (rst < 0) { return rst; }

            // Set the Di sensitivity
            rst = SetDiSensitivity(DevIndex, 20000);
            if (rst < 0) { return rst; }

            // Read the Di status
            rst = GetDiStatus(DevIndex, 0, ref DiValue);
            if (rst < 0) { return rst; }

            Console.WriteLine("GetDiStatus Success. DiValue = 0x{0:X}", DiValue);

            // Close the device
            rst = CloseDevice(DevIndex);

            return rst;
        }
    }
}