﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using static Spcidevdll;

// This routine sets the default direction of the digital I/O channels and the default values of Do when powered on.
// This routine is applicable to the following models:
// PCI - 1232
// PCI - 1316
// PCI - 225x
// PCI - 3xxx
// PCI - 5xxx

namespace dio_default_setting
{
    class Program
    {
        static int Main(string[] args)
        {
            int rst;
            int DevIndex = 0;

            // Open the device
            rst = OpenDevice(DevIndex);
            if (rst < 0) { return rst; }

            // Set the default power-on direction of the digital I/O
            // Each bit of the parameter corresponds to a digital I/O
            // Here, all are set as output
            rst = SetDioDirDefault(DevIndex, 0x00000000);
            if (rst < 0) { return rst; }

            // Set the default power-on values of Do
            // Each bit of the parameter corresponds to a Do
            // Here, all are set to 0
            rst = SetDoPowerOnValue(DevIndex, 0x00000000);
            if (rst < 0) { return rst; }

            Console.WriteLine("Success.");

            // Close the device
            rst = CloseDevice(DevIndex);

            return rst;
        }
    }
}