﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using static Spcidevdll;

// This routine makes a single setting of the status of the digital output channels of the data acquisition card.
// This routine is applicable to the following models:
// PCI - 1232
// PCI - 1316
// PCI - 225x
// PCI - 3xxx

namespace do_one_point
{
    class Program
    {
        static int Main(string[] args)
        {
            int rst;
            int DevIndex = 0;

            // Open the device
            rst = OpenDevice(DevIndex);
            if (rst < 0) { return rst; }

            // Set the digital I/O direction
            // Here, all digital I/O channels are set as output.
            // Since the digital I/O of PCI - 225x/3000/5000 can be set as input or output,
            // here all are set as output.
            // For models whose digital I/O does not support setting, this step can be skipped.
            rst = SetDioDir(DevIndex, 0x00000000);
            if (rst < 0) { return rst; }

            // Set the Do output status
            // Here, all Do channels are set to output a high level.
            rst = SetDoValue(DevIndex, 0xffffffff);
            if (rst < 0) { return rst; }

            Console.WriteLine("Success.");

            // Close the device
            rst = CloseDevice(DevIndex);

            return rst;
        }
    }
}